SUSE: 2022:2996-1 moderate: gdk-pixbuf | LinuxSecurity.com

   SUSE Security Update: Security update for gdk-pixbuf
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2996-1
Rating:             moderate
References:         #1201826 
Cross-References:   CVE-2021-46829
CVSS scores:
                    CVE-2021-46829 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2021-46829 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise High Performance Computing 15-SP3
                    SUSE Linux Enterprise Micro 5.2
                    SUSE Linux Enterprise Module for Basesystem 15-SP3
                    SUSE Linux Enterprise Module for Desktop Applications 15-SP3
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Storage 7.1
                    SUSE Manager Proxy 4.2
                    SUSE Manager Retail Branch Server 4.2
                    SUSE Manager Server 4.2
                    openSUSE Leap 15.3
                    openSUSE Leap Micro 5.2
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for gdk-pixbuf fixes the following issues:

   - CVE-2021-46829: Fixed overflow when compositing or clearing frames
     (bsc#1201826).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap Micro 5.2:

      zypper in -t patch openSUSE-Leap-Micro-5.2-2022-2996=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-2996=1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-2996=1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3:

      zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-2996=1

   - SUSE Linux Enterprise Micro 5.2:

      zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-2996=1



Package List:

   - openSUSE Leap Micro 5.2 (aarch64 x86_64):

      gdk-pixbuf-debugsource-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.40.0-150200.3.6.1
      gdk-pixbuf-devel-2.40.0-150200.3.6.1
      gdk-pixbuf-devel-debuginfo-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1
      gdk-pixbuf-thumbnailer-2.40.0-150200.3.6.1
      gdk-pixbuf-thumbnailer-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixdata-2_0-2.40.0-150200.3.6.1

   - openSUSE Leap 15.3 (noarch):

      gdk-pixbuf-lang-2.40.0-150200.3.6.1

   - openSUSE Leap 15.3 (x86_64):

      gdk-pixbuf-devel-32bit-2.40.0-150200.3.6.1
      gdk-pixbuf-devel-32bit-debuginfo-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-32bit-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-32bit-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-32bit-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-32bit-debuginfo-2.40.0-150200.3.6.1

   - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (x86_64):

      gdk-pixbuf-debugsource-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-32bit-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-32bit-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-32bit-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-32bit-debuginfo-2.40.0-150200.3.6.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x x86_64):

      gdk-pixbuf-debugsource-2.40.0-150200.3.6.1
      gdk-pixbuf-devel-2.40.0-150200.3.6.1
      gdk-pixbuf-devel-debuginfo-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1
      gdk-pixbuf-thumbnailer-2.40.0-150200.3.6.1
      gdk-pixbuf-thumbnailer-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixdata-2_0-2.40.0-150200.3.6.1

   - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch):

      gdk-pixbuf-lang-2.40.0-150200.3.6.1

   - SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64):

      gdk-pixbuf-debugsource-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1
      gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1
      libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1
      typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1


References:

   https://www.suse.com/security/cve/CVE-2021-46829.html
   https://bugzilla.suse.com/1201826

SUSE: 2022:2996-1 moderate: gdk-pixbuf

September 2, 2022
An update that fixes one vulnerability is now available

Summary

This update for gdk-pixbuf fixes the following issues: - CVE-2021-46829: Fixed overflow when compositing or clearing frames (bsc#1201826). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap Micro 5.2: zypper in -t patch openSUSE-Leap-Micro-5.2-2022-2996=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-2996=1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3: zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-2996=1 - SUSE Linux Enterprise Module for Basesystem 15-SP3: zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP3-2022-2996=1 - SUSE Linux Enterprise Micro 5.2: zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-2996=1 Package List: - openSUSE Leap Micro 5.2 (aarch64 x86_64): gdk-pixbuf-debugsource-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1 typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.40.0-150200.3.6.1 gdk-pixbuf-devel-2.40.0-150200.3.6.1 gdk-pixbuf-devel-debuginfo-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1 gdk-pixbuf-thumbnailer-2.40.0-150200.3.6.1 gdk-pixbuf-thumbnailer-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1 typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1 typelib-1_0-GdkPixdata-2_0-2.40.0-150200.3.6.1 - openSUSE Leap 15.3 (noarch): gdk-pixbuf-lang-2.40.0-150200.3.6.1 - openSUSE Leap 15.3 (x86_64): gdk-pixbuf-devel-32bit-2.40.0-150200.3.6.1 gdk-pixbuf-devel-32bit-debuginfo-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-32bit-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-32bit-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-32bit-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-32bit-debuginfo-2.40.0-150200.3.6.1 - SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (x86_64): gdk-pixbuf-debugsource-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-32bit-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-32bit-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-32bit-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-32bit-debuginfo-2.40.0-150200.3.6.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (aarch64 ppc64le s390x x86_64): gdk-pixbuf-debugsource-2.40.0-150200.3.6.1 gdk-pixbuf-devel-2.40.0-150200.3.6.1 gdk-pixbuf-devel-debuginfo-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1 gdk-pixbuf-thumbnailer-2.40.0-150200.3.6.1 gdk-pixbuf-thumbnailer-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1 typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1 typelib-1_0-GdkPixdata-2_0-2.40.0-150200.3.6.1 - SUSE Linux Enterprise Module for Basesystem 15-SP3 (noarch): gdk-pixbuf-lang-2.40.0-150200.3.6.1 - SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64): gdk-pixbuf-debugsource-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-2.40.0-150200.3.6.1 gdk-pixbuf-query-loaders-debuginfo-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-2.40.0-150200.3.6.1 libgdk_pixbuf-2_0-0-debuginfo-2.40.0-150200.3.6.1 typelib-1_0-GdkPixbuf-2_0-2.40.0-150200.3.6.1

References

#1201826

Cross- CVE-2021-46829

CVSS scores:

CVE-2021-46829 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2021-46829 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise High Performance Computing 15-SP3

SUSE Linux Enterprise Micro 5.2

SUSE Linux Enterprise Module for Basesystem 15-SP3

SUSE Linux Enterprise Module for Desktop Applications 15-SP3

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Storage 7.1

SUSE Manager Proxy 4.2

SUSE Manager Retail Branch Server 4.2

SUSE Manager Server 4.2

openSUSE Leap 15.3

openSUSE Leap Micro 5.2

https://www.suse.com/security/cve/CVE-2021-46829.html

https://bugzilla.suse.com/1201826

Severity
Announcement ID: SUSE-SU-2022:2996-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.